<?php

namespace Teknisa\EST\Modules\Relatorios\Services;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\FilterCriteria;

class Est31700EtiquetadeProdutoService{
    
    public function checkDataSource($field,$row){
        $dataSourceName = '';
        switch($field['name']){
            case "NRNOTAFISC":
            case "NRLANCTONF":
                if($row['IDORIGDESTNF'] == 'L' && $row['IDENTRSAIDOP'] == 'E'){
                    $dataSourceName = 'etiqueta_nota_param_l_e';
                    
                }else if($row['IDORIGDESTNF'] == 'L' && $row['IDENTRSAIDOP'] == 'S'){
                    $dataSourceName = 'etiqueta_nota_param_l_s';
                    
                }else if ($row['IDORIGDESTNF'] == 'C'){
                    $dataSourceName = 'etiqueta_nota_param_c';
                    
                }else if($row['IDORIGDESTNF'] == 'F'){
                    $dataSourceName = 'etiqueta_nota_param_f';
                }
            break;
            case "NRLANCESTQ":
                $dataSourceName = 'etiqueta_num_lanc_estoque';
            
            break;
            case "NRORDPROD":
                $dataSourceName = 'etiqueta_nota_ordem_producao';
            
            break;
        }
        return $dataSourceName;
    }
}
